### Method

# FwupdPlugin TpmEventlogItem get_checksum

since: 2.1.1

#### Declaration [src]

    GBytes*
    fu_tpm_eventlog_item_get_checksum (
      FuTpmEventlogItem* self,
      FuTpmAlg alg,
      GError** error
    )

#### Description [src]

Gets the raw checksum of a specific type.

Available since: 2.1.1

#### Parameters

`alg`

  Type: `FuTpmAlg`

  A `FuTpmAlg`, e.g. `FU_TPM_ALG_SHA1`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GBytes`

A `GBytes`, or `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.